Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# Module World

The Blender.World submodule

INTRODUCTION

The module world allows you to access all the data of a Blender World.

Example:

     import Blender
     w = Blender.Get('World') #assume there exists a world named "world"
     print w.getName()
     w.hor = [1,1,.2]
     print w.getHor()

Classes |
`World` | This object gives access to generic data from all worlds in Blender.

Function Summary |
Blender World or a list of Blender Worlds | `Get(name)` Get an World from Blender.
Blender World | `New(name)` Creates a new World.

Function Details |

Get(name)

Get an World from Blender.

  Parameters:

    `name` - The name of the world to retrieve.

    (type=string)

  Returns:

    - (name): The World corresponding to the name

    - (): A list with all Worlds in the current scene.

    (type=Blender World or a list of Blender Worlds)

New(name)

Creates a new World.

  Parameters:

    `name` - World's name (optionnal).

    (type=string)

  Returns:

    The created World. If the "name" paraeter has not been provided, it will be automatically be set by blender.

    (type=Blender World)

<<< Previous | Home | Next >>>
The Lamp Data object | Up | Class World